import '../resources.dart';

class FAQRepo {
  FAQRepo._();

  static FAQRepo? _instance;

  factory FAQRepo([AppApi? api]) {
    if (_instance == null) _instance = FAQRepo._();
    _instance!._api = api ?? AppApiImp();
    return _instance!;
  }

  late AppApi _api; 

  Future<List<ProblemType>> v2_getProblemTypesList(params) async {
    NetworkResponse response = await _api.v2_getProblemTypesList(params);
    return response.data ?? [];
  }

  Future<List<FaqItem>> getFaqForProblemType(params) async {
    NetworkResponse response = await _api.getFaqForProblemType(params);
    return response.data ?? [];
  }
}
