class FaqItem {
  String? problemTypeLabel;
  int? order;
  int? numberOfClick;
  String? question;
  String? answer;
  int? faqId;

  FaqItem(
      {this.problemTypeLabel,
      this.order,
      this.numberOfClick,
      this.question,
      this.answer,
      this.faqId});

  FaqItem.fromJson(Map<String, dynamic> json) {
    if (json["problemTypeLabel"] is String) {
      this.problemTypeLabel = json["problemTypeLabel"];
    }
    if (json["order"] is int) {
      this.order = json["order"];
    }
    if (json["numberOfClick"] is int) {
      this.numberOfClick = json["numberOfClick"];
    }
    if (json["question"] is String) {
      this.question = json["question"];
    }
    if (json["answer"] is String) {
      this.answer = json["answer"];
    }
    if (json["faqId"] is int) {
      this.faqId = json["faqId"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["problemTypeLabel"] = this.problemTypeLabel;
    data["order"] = this.order;
    data["numberOfClick"] = this.numberOfClick;
    data["question"] = this.question;
    data["answer"] = this.answer;
    data["faqId"] = this.faqId;
    return data;
  }
}
