class ProblemType {
  int? id;
  String? label;

  ProblemType({this.id, this.label});

  ProblemType.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) {
      this.id = json["id"];
    }
    if (json["label"] is String) {
      this.label = json["label"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["id"] = this.id;
    data["label"] = this.label;
    return data;
  }
}
